<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/taskinfo/Dt_Task.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend" />
</template>
<script>
import extend from "@/extension/widesea_wms/taskinfo/Dt_Task_Hty.jsx";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'taskId',
            footer: "Foots",
            cnName: '任务历史信息',
            name: 'taskinfo/Dt_Task_Hty',
            url: "/Task_Hty/",
            sortName: "TaskId"
        });
        const editFormFields = ref({
            "taskNum": "",
            "palletCode": ""
        });
        const editFormOptions = ref([
            [
                { "title": "任务号", "field": "taskNum", "type": "text" },
                { "title": "托盘号", "field": "palletCode", "type": "text" },
                { "title": "任务类型", "field": "taskType", "type": "select", dataKey: "TaskType", data: [] },
                { "title": "任务状态", "field": "taskState", "type": "select", dataKey: "TaskStatus", data: [] },

            ],
            [
                { "title": "起始位置", "field": "sourceAddress", type: "text" },
                { "title": "当前位置", "field": "currentAddress", type: "text" },
                { "title": "下一位置", "field": "nextAddress", type: "text" },
                { "title": "目标位置", "field": "targetAddress", type: "text" },
            ],
        ]);
        const searchFormFields = ref({
            taskNum:"",
            palletCode:"",
            taskType:"",
            taskState:"",
            sourceAddress:"",
            currentAddress:"",
            nextAddress:"",
            targetAddress:"",
            roadway:"",
            creater:"",
            CreateDate:"",
        });
        const searchFormOptions = ref([
            [
                { "title": "任务号", "field": "taskNum", "type": "like" },
                { "title": "车轮条码", "field": "palletCode", "type": "like" },
                { "title": "任务类型", "field": "taskType", "type": "select", dataKey: "TaskType", data: [] },
                { "title": "任务状态", "field": "taskState", "type": "select", dataKey: "TaskStatus", data: [] },

            ],
            [
                { "title": "起始位置", "field": "sourceAddress", type: "text" },
                { "title": "当前位置", "field": "currentAddress", type: "text" },
                { "title": "下一位置", "field": "nextAddress", type: "text" },
                { "title": "目标位置", "field": "targetAddress", type: "text" },
            ],
            [
                { "title": "巷道", "field": "roadway", type: "text" },
                { "title": "创建人", "field": "creater", type: "text" },
                { "title": "创建时间", "field": "CreateDate", type: "datetime" },
            ],
        ]);
        const columns = ref([{ field: 'TaskId', title: '主键', type: 'string', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'taskNum', title: '任务号', type: 'int', width: 110, align: 'left', sort: true },
        { field: 'palletCode', title: '车轮条码', type: 'string', width: 150, align: 'left' },
        { field: 'pnboundNo', title: '单据号', type: 'string', width: 110, align: 'left' ,hidden: true},
        { field: 'groupID', title: '库存ID', type: 'int', width: 110, hidden: true, align: 'left' },
        { field: 'groupDetailId', title: '组盘明细ID', type: 'int', width: 110, hidden: true, align: 'left' },
        { field: 'roadway', title: '巷道', type: 'string', width: 110, align: 'left' },
        { field: 'taskType', title: '任务类型', type: 'int', width: 110, align: 'left', bind: { key: "TaskType", data: [] } },
        { field: 'taskState', title: '任务状态', type: 'int', width: 110, align: 'left', bind: { key: "TaskStatus", data: [] } },
        { field: 'sourceAddress', title: '起始位置', type: 'string', width: 110, align: 'left' },
        { field: 'currentAddress', title: '当前位置', type: 'string', width: 110, align: 'left' },
        { field: 'nextAddress', title: '下一位置', type: 'string', width: 110, align: 'left' },
        { field: 'targetAddress', title: '目标位置', type: 'string', width: 110, align: 'left' },
        { field: 'task_CZInfo', title: '选配车轴', type: 'string', width: 110, align: 'left' },
        //{ field: 'grade', title: '优先级', type: 'int', width: 60, align: 'left' },
        //{ field: 'productionLine', title: '产线', type: 'string', width: 70, align: 'left', bind: { key: "ProductionLine", data: [] }  },
        //{ field: 'processCode', title: '工序', type: 'string', width: 90, align: 'left' },
        { field: 'dispatchertime', title: '任务下发时间', type: 'datetime', width: 150, align: 'left', sort: true },
        { field: 'operateType', title: '操作类型', type: 'string', width: 110, align: 'left', bind: { key: "OperateType", data: [] }},
        { field: 'remark', title: '备注', type: 'string', width: 110, align: 'left',hidden: true, },
        { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },
        { field: 'modifyDate', title: '修改时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },
        { field: 'creater', title: '创建人', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'modifier', title: '修改人', type: 'string', sort: true, width: 100, align: 'left' },
        { field: 'locationCode', title: '货位号', type: 'string', width: 110, hidden: true, align: 'left' },
        { field: 'materialNo', title: '物料编号', type: 'string', width: 110, hidden: true, align: 'left' },
        { field: 'targetAddress', title: '目标地址', type: 'string', width: 110, hidden: true, align: 'left' },
        { field: 'createID', title: '创建ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'modifyID', title: '修改人ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
